﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.86
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Private SimpleExoPlayerView1 As SimpleExoPlayerView
	Private Player As SimpleExoPlayer

	Private lblEnterFullScreen As B4XView
	Private VideoWidth, VideoHeight As Int
End Sub

'You can add more parameters here.
Public Sub Initialize

End Sub

'This event will be called once, before the page becomes visible.
Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("ExoPlayer")
	Player.Initialize("player")
	SimpleExoPlayerView1.Player = Player
	
	lblEnterFullScreen.Visible = False
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.
Private Sub B4XPage_Appear
	
End Sub
Sub B4XPage_Resize (Width As Int, Height As Int)

End Sub
Sub B4XPage_MenuClick (Tag As String)

End Sub
Sub B4XPage_CloseRequest As ResumableSub
	Player.Pause
  	Return True
End Sub

Sub GetStreamFile(url As String)
	'"https://jrtv-live.ercdn.net/jordanhd/jordanhd.m3u8"
	Player.Prepare(Player.CreateHLSSource(url))
	Player.Play
End Sub

Private Sub Player_Ready
	Dim VideoFormat As JavaObject = Player
	VideoFormat = VideoFormat.GetFieldJO("player").RunMethod("getVideoFormat", Null)
	VideoWidth = VideoFormat.GetField("width")
	VideoHeight = VideoFormat.GetField("height")
	lblEnterFullScreen.Visible = True
	PutLabelInVideoTopRightCorner(SimpleExoPlayerView1, lblEnterFullScreen)
End Sub

Public Sub PutLabelInVideoTopRightCorner(PlayerView As SimpleExoPlayerView, Label As B4XView)
	Dim PlayerRatio As Float = PlayerView.Width / PlayerView.Height
	Dim VideoRatio As Float = VideoWidth / VideoHeight
	Dim scale As Float = IIf(PlayerRatio > VideoRatio, PlayerView.Height / VideoHeight, PlayerView.Width / VideoWidth)
	Label.Top = PlayerView.Top + PlayerView.Height / 2 - VideoHeight / 2 * scale
	Label.Left = PlayerView.Left + PlayerView.Width / 2 + VideoWidth / 2 * scale - Label.Width
End Sub

Private Sub lblEnterFullScreen_Click
	StartActivity(FullScreen)
End Sub